/* This example uses a serial port in the stm32l476 discover board.  The port in question is USART2
 * which is connected to the ST-Link Debugger.  The ST-Link debugger emulates a USB serial port for 
 * the host PC so any data on USART 2 shoud appear in a dumb terminal application running 
 * on the host PC.  
 * The example prints a simple sign-on message and waits for the user to enter a string (followed by the "Enter" key)
 * This string is echoed back to the user.  The serial port settings are 9600,n,8,1
 */
#include "stm32l476.h"
#include "serial.h"
void delay(int);

void delay(int dly)
{
  while( dly--);
}

void configPins()
{
    // Turn on GPIOB and GPIOE for LED's
    RCC_AHB2ENR |= BIT1 + BIT4;
    GPIOB_MODER |= BIT4;
    GPIOB_MODER &= ~BIT5;
    GPIOE_MODER |= BIT16;
    GPIOE_MODER &= ~BIT17;   
	
}    
int main()
{	
	char buf[20];
	configPins();
	initUART(9600);	
	eputs("Ready.  Type some text and press enter\r\n");
	while(1)
	{			
		if (available())
		{
                    egets(buf,20);
                    GPIOB_ODR |= BIT2;  // Turn on red led                        
                    eputs(buf);
                    GPIOB_ODR &= ~BIT2;  // Turn off red led                        
		}                
	}
	return 0;
}








